> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aspect.systems/llms.txt
> Use this file to discover all available pages before exploring further.

# List Reservations

> Retrieve all reservations for a specific organization.



## OpenAPI

````yaml /endpoints/openapi.json get /v1/organizations/{organization}/reservations
openapi: 3.1.0
info:
  title: Aspect Systems
  version: 0.0.1
servers:
  - url: https://api.aspect-dev.systems
    description: Development
  - url: https://api.aspect.systems
    description: Production
security:
  - http: []
tags:
  - name: Authentication
  - name: Organizations
  - name: Divisions
  - name: Slots
  - name: Rates
  - name: Reservations
  - name: Entries
  - name: Memberships
paths:
  /v1/organizations/{organization}/reservations:
    get:
      tags:
        - Reservations
      summary: List Reservations
      description: Retrieve all reservations for a specific organization.
      operationId: partner.reservations.index
      parameters:
        - name: organization
          in: path
          required: true
          schema:
            type: string
        - name: include
          in: query
          description: >-
            Available includes are `customer`, `division`, `entries`. You can
            include multiple options by separating them with a comma.
          schema:
            type: string
        - name: page[size]
          in: query
          description: The number of results that will be returned per page.
          schema:
            type: integer
            default: 30
        - name: page[cursor]
          in: query
          description: The cursor to start the pagination from.
          schema:
            type: string
        - name: filter[division_id]
          in: query
          description: Filter by division ID.
          schema:
            type: string
            examples:
              - 310476121357873150
        - name: filter[date]
          in: query
          description: Filter by date.
          schema:
            type: string
            examples:
              - '2025-06-26'
      responses:
        '200':
          description: Paginated set of `ReservationResource`
          content:
            application/vnd.api+json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/Reservation'
                  links:
                    type: object
                    properties:
                      first:
                        type: string
                      last:
                        type: string
                      prev:
                        type: string
                      next:
                        type: string
                  meta:
                    type: object
                    properties:
                      path:
                        type:
                          - string
                          - 'null'
                        description: Base path for paginator generated URLs.
                      per_page:
                        type: integer
                        description: Number of items shown per page.
                        minimum: 0
                      next_cursor:
                        type:
                          - string
                          - 'null'
                        description: The "cursor" that points to the next set of items.
                      prev_cursor:
                        type:
                          - string
                          - 'null'
                        description: The "cursor" that points to the previous set of items.
                    required:
                      - path
                      - per_page
                      - next_cursor
                      - prev_cursor
                  included:
                    type: array
                    items:
                      anyOf:
                        - $ref: '#/components/schemas/Customer'
                        - $ref: '#/components/schemas/Division'
                        - $ref: '#/components/schemas/Entry'
                required:
                  - data
                  - links
                  - meta
        '403':
          $ref: '#/components/responses/AuthorizationException'
components:
  schemas:
    Reservation:
      type: object
      properties:
        id:
          type: string
        type:
          type: string
          enum:
            - reservations
        attributes:
          type: object
          properties:
            id:
              type: string
              description: ID of the reservation.
              examples:
                - '310476121357873156'
            code:
              type: string
              description: Unique code of the reservation.
              examples:
                - ABC1234
            state:
              $ref: '#/components/schemas/ReservationState'
              description: Current state of the reservation.
            channel:
              anyOf:
                - $ref: '#/components/schemas/ReservationChannel'
                  description: Booking channel used for this reservation.
                - type: 'null'
            start_at:
              type: string
              description: Start time of the reservation.
              examples:
                - '2025-01-15T10:00:00-04:00'
            subtotal:
              type: integer
              description: Subtotal of the reservation, in cents (taxes excluded).
              examples:
                - 5000
            total:
              type: integer
              description: Total of the reservation, in cents (taxes included).
              examples:
                - 5000
            created_at:
              type: string
              description: Timestamp when the reservation was created.
              examples:
                - '2025-01-15T08:30:00Z'
            updated_at:
              type: string
              description: Timestamp when the reservation was last updated.
              examples:
                - '2025-01-15T08:30:00Z'
          required:
            - id
            - code
            - state
            - channel
            - start_at
            - subtotal
            - total
            - created_at
            - updated_at
        relationships:
          type: object
          properties:
            customer:
              type: object
              properties:
                data:
                  anyOf:
                    - $ref: '#/components/schemas/CustomerResourceIdentifier'
                    - type: 'null'
              required:
                - data
            division:
              type: object
              properties:
                data:
                  anyOf:
                    - $ref: '#/components/schemas/DivisionResourceIdentifier'
                    - type: 'null'
              required:
                - data
            entries:
              type: object
              properties:
                data:
                  type: array
                  items:
                    $ref: '#/components/schemas/EntryResourceIdentifier'
              required:
                - data
      required:
        - id
        - type
      title: Reservation
    Customer:
      type: object
      properties:
        id:
          type: string
        type:
          type: string
          enum:
            - customers
        attributes:
          type: object
          properties:
            id:
              type: string
              description: ID of the customer.
              examples:
                - '310476121357873161'
            first_name:
              type:
                - string
                - 'null'
              description: First name of the customer.
              examples:
                - John
            last_name:
              type:
                - string
                - 'null'
              description: Last name of the customer.
              examples:
                - Doe
            email:
              type:
                - string
                - 'null'
              description: Email address of the customer.
              examples:
                - john.doe@example.com
            phone:
              type:
                - string
                - 'null'
              description: Phone number of the customer (in E.164 format).
              examples:
                - '+15145551234'
          required:
            - id
            - first_name
            - last_name
            - email
            - phone
      required:
        - id
        - type
      title: Customer
    Division:
      type: object
      properties:
        id:
          type: string
        type:
          type: string
          enum:
            - divisions
        attributes:
          type: object
          properties:
            id:
              type: string
              description: ID of the division.
              examples:
                - '310476121357873158'
            name:
              type: string
              description: Name of the division.
              examples:
                - Golf
            industry:
              $ref: '#/components/schemas/DivisionIndustry'
              description: Industry of the division.
          required:
            - id
            - name
            - industry
      required:
        - id
        - type
      title: Division
    Entry:
      type: object
      properties:
        id:
          type: string
        type:
          type: string
          enum:
            - entries
        attributes:
          type: object
          properties:
            id:
              type: string
              description: ID of the entry.
              examples:
                - '310476121357873159'
            parent_id:
              type:
                - string
                - 'null'
              description: >-
                ID of the parent entry if this entry is part of a bundle or a
                ticket series.
              examples:
                - '310476121357873160'
            code:
              type: string
              description: Unique code of the entry.
              examples:
                - ABC123
            state:
              $ref: '#/components/schemas/EntryState'
              description: The current state of the entry.
            first_name:
              type:
                - string
                - 'null'
              description: First name of the attendee for this entry.
              examples:
                - John
            last_name:
              type:
                - string
                - 'null'
              description: Last name of the attendee for this entry.
              examples:
                - Doe
            offering_type:
              type: string
              description: Type of offering.
              enum:
                - ticket
                - bundle
            offering_id:
              type: string
              description: ID of the offering.
              examples:
                - '310476121357873155'
            offering_name:
              type: string
              description: Name of the offering.
              examples:
                - Green Fee
            price:
              type:
                - integer
                - 'null'
              description: >-
                Price for this entry, in cents (`null` if part of a bundle or a
                ticket series).
              examples:
                - 5000
            created_at:
              type: string
              description: Timestamp when the entry was created.
              examples:
                - '2025-01-15T10:30:00Z'
            updated_at:
              type: string
              description: Timestamp when the entry was last updated.
              examples:
                - '2025-01-15T14:30:00Z'
          required:
            - id
            - parent_id
            - code
            - state
            - first_name
            - last_name
            - offering_type
            - offering_id
            - offering_name
            - price
            - created_at
            - updated_at
        relationships:
          type: object
          properties:
            division:
              type: object
              properties:
                data:
                  anyOf:
                    - $ref: '#/components/schemas/DivisionResourceIdentifier'
                    - type: 'null'
              required:
                - data
            slot:
              type: object
              properties:
                data:
                  anyOf:
                    - $ref: '#/components/schemas/SlotResourceIdentifier'
                    - type: 'null'
              required:
                - data
            reservation:
              type: object
              properties:
                data:
                  anyOf:
                    - $ref: '#/components/schemas/ReservationResourceIdentifier'
                    - type: 'null'
              required:
                - data
            membership:
              type: object
              properties:
                data:
                  anyOf:
                    - $ref: '#/components/schemas/MembershipResourceIdentifier'
                    - type: 'null'
              required:
                - data
      required:
        - id
        - type
      title: Entry
    ReservationState:
      type: string
      enum:
        - pending
        - paid
        - free
        - included
        - partiallyPaid
        - refunded
        - partiallyRefunded
        - canceled
      title: ReservationState
    ReservationChannel:
      type: string
      enum:
        - online
        - inStore
        - application
        - partner
      title: ReservationChannel
    CustomerResourceIdentifier:
      type: object
      properties:
        type:
          type: string
          enum:
            - customers
        id:
          type: string
      required:
        - type
        - id
      title: CustomerResourceIdentifier
    DivisionResourceIdentifier:
      type: object
      properties:
        type:
          type: string
          enum:
            - divisions
        id:
          type: string
      required:
        - type
        - id
      title: DivisionResourceIdentifier
    EntryResourceIdentifier:
      type: object
      properties:
        type:
          type: string
          enum:
            - entries
        id:
          type: string
      required:
        - type
        - id
      title: EntryResourceIdentifier
    DivisionIndustry:
      type: string
      enum:
        - golf
        - indoorGolf
        - snowTubing
        - curling
        - eventManagement
        - other
      title: DivisionIndustry
    EntryState:
      type: string
      enum:
        - canceled
        - checkedIn
        - confirmed
        - invalid
        - late
        - noShow
        - pending
      title: EntryState
    SlotResourceIdentifier:
      type: object
      properties:
        type:
          type: string
          enum:
            - slots
        id:
          type: string
      required:
        - type
        - id
      title: SlotResourceIdentifier
    ReservationResourceIdentifier:
      type: object
      properties:
        type:
          type: string
          enum:
            - reservations
        id:
          type: string
      required:
        - type
        - id
      title: ReservationResourceIdentifier
    MembershipResourceIdentifier:
      type: object
      properties:
        type:
          type: string
          enum:
            - memberships
        id:
          type: string
      required:
        - type
        - id
      title: MembershipResourceIdentifier
  responses:
    AuthorizationException:
      description: Authorization error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
  securitySchemes:
    http:
      type: http
      scheme: bearer
      bearerFormat: JWT

````